spring:
  application:
    name: dsrc-comm-server
  profiles:
    active: prod
  main:
    #web-application-type: none
    log-startup-info: true
    banner-mode: off
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  datasource:
    hikari:
      auto-commit: true
      driver-class-name: oracle.jdbc.OracleDriver
      connection-test-query: SELECT 1 FROM DUAL
      minimum-idle: 5
      maximum-pool-size: 10
      idle-timeout: 30000
      connection-timeout: 10000
      pool-name: pool-dsrc-comm-server

server:
  port: 8904
  shutdown: graceful
  tomcat:
    connection-timeout: 5000         # 연결 대기 시간 5초
    keep-alive-timeout: 0            # 응답 후 바로 연결 종료
    max-keep-alive-requests: 1       # 한 연결당 1회 요청만 허용
    threads:
      max: 5        # 톰캣 최대 스레드 수 설정
      min-spare: 2  # 초기 여유 스레드 수

  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300

application:
  id: DSRC01
  name: DSRC Communication Server
  history: true
  user-id: admin
  user-pswd: 1234
  listen-port: 9904

running:
  comm-binding-port: 3550
  dump-recv: false
  dump-send: false
  server-domain-name: PRESERVATIVE
  server-auth-user: PTATMS
  server-auth-password: PTATMS
  server-sender-text: DSRC Center Unit
  publication-multimedia: false
  publication-non-crypt-obu: false
  publication-antenna: 1
  subscription-status: true
  subscription-status-cycle: 30
  subscription-traffic: true
  filtering-min-speed: 3
  filtering-max-speed: 140
  filtering-history-minute: 50
  filtering-algorithm: 1

---
spring:
  config:
    activate:
      on-profile: dev
    import:
      - optional:file:${user.dir}/conf/dsrc-comm-server-dev.yml
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      jdbc-url: jdbc:oracle:thin:@115.91.94.42:1522:HANTE19C
      username: ptatms
      password: ptatms

---
spring:
  config:
    activate:
      on-profile: prod
    import:
      - optional:file:${user.dir}/conf/dsrc-comm-server.yml
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      #jdbc-url: jdbc:oracle:thin:@172.19.10.26:1521:ptatms
      jdbc-url: jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.25)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.26)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=ptatms)))
      username: ptatms
      password: ptatms

